## mingw-w64-amf-headers-1.4.34-1.src.tar.zst

=== amf/public/samples/CPPSamples/DVR/Makefile ===
#
# MIT license
#
#
# Copyright (c) 2018 Advanced Micro Devices, Inc. All rights reserved.
#
# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:
#
# The above copyright notice and this permission notice shall be included in
# all copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.  IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
# THE SOFTWARE.
#

amf_root = ../../../..

include $(amf_root)/public/make/common_defs.mak

target_name = DVR
target_type = exe

project_root = public/samples/CPPSamples/DVR

pp_include_dirs = \
    $(amf_root) \
    $(VULKAN_SDK)/include \
    $(build_dir) \

src_files = \
    $(project_root)/DVRLinuxCLI.cpp \
    $(public_common_dir)/AMFFactory.cpp \
    $(public_common_dir)/AMFSTL.cpp \
    $(public_common_dir)/CurrentTimeImpl.cpp \
    $(public_common_dir)/Thread.cpp \
    $(public_common_dir)/TraceAdapter.cpp \
    $(public_common_dir)/PropertyStorageExImpl.cpp \
    $(public_common_dir)/VulkanImportTable.cpp \
    $(public_common_dir)/OpenGLImportTable.cpp \
    $(public_common_dir)/Linux/ThreadLinux.cpp \
    $(public_common_dir)/Linux/PulseAudioImportTable.cpp \
    $(samples_common_dir)/CmdLogger.cpp \
    $(samples_common_dir)/CmdLineParser.cpp \
    $(samples_common_dir)/ParametersStorage.cpp \
    $(samples_common_dir)/Pipeline.cpp \
    $(samples_common_dir)/DisplayDvrPipeline.cpp \
    $(samples_common_dir)/DeviceVulkan.cpp \
    $(samples_common_dir)/EncoderParamsAVC.cpp \
    public/src/components/AudioCapture/AudioCaptureImpl.cpp \
    public/src/components/AudioCapture/PulseAudioSimpleAPISource.cpp \
    public/src/components/AudioCapture/PulseAudioSimpleAPISourceFacade.cpp \

include $(amf_root)/public/make/common_rules.mak

=== amf/public/samples/CPPSamples/EncoderLatency/Makefile ===
#
# MIT license 
#
#
# Copyright (c) 2018 Advanced Micro Devices, Inc. All rights reserved.
#
# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:
#
# The above copyright notice and this permission notice shall be included in
# all copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.  IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
# THE SOFTWARE.
#

amf_root = ../../../..

include $(amf_root)/public/make/common_defs.mak

target_name = EncoderLatency

pp_include_dirs = $(amf_root)

src_files = \
    public/samples/CPPSamples/EncoderLatency/EncoderLatency.cpp \
    public/samples/CPPSamples/common/SurfaceGenerator.cpp \
    $(public_common_dir)/AMFFactory.cpp \
    $(public_common_dir)/AMFSTL.cpp \
    $(public_common_dir)/DataStreamFactory.cpp \
    $(public_common_dir)/DataStreamFile.cpp \
    $(public_common_dir)/DataStreamMemory.cpp \
    $(public_common_dir)/Thread.cpp \
    $(public_common_dir)/TraceAdapter.cpp \
    $(public_common_dir)/Linux/ThreadLinux.cpp \
    $(samples_common_dir)/CmdLogger.cpp \
    $(samples_common_dir)/CmdLineParser.cpp \
    $(samples_common_dir)/ParametersStorage.cpp \
    $(samples_common_dir)/RawStreamReader.cpp \
    $(samples_common_dir)/EncoderParamsAVC.cpp \
    $(samples_common_dir)/EncoderParamsHEVC.cpp \
	$(samples_common_dir)/EncoderParamsAV1.cpp \

include $(amf_root)/public/make/common_rules.mak

=== amf/public/src/components/ComponentsFFMPEG/Makefile ===
#
# MIT license 
#
#
# Copyright (c) 2018 Advanced Micro Devices, Inc. All rights reserved.
#
# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:
#
# The above copyright notice and this permission notice shall be included in
# all copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.  IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
# THE SOFTWARE.
#

amf_root = ../../../..

include $(amf_root)/public/make/common_defs.mak

target_name = amf-component-ffmpeg
target_type = so

uname_p := $(shell uname -p)
  ifeq ($(uname_p),aarch64)
  platform_name=arm
  else
  platform_name=lnx
endif

ffmpeg_dir = $(amf_root)/../Thirdparty/ffmpeg/ffmpeg/ffmpeg-6.0/$(platform_name)$(host_bits)/release

pp_defines += \
  AMF_COMPONENT_FFMPEG_EXPORTS

cxx_flags += \
 -Wno-deprecated-declarations \
 -Wno-error=attributes


pp_include_dirs = $(amf_root) \
  $(ffmpeg_dir)/include

ffmpeg_libs = \
  libavcodec.so.60 \
  libavdevice.so.60 \
  libavfilter.so.9 \
  libavformat.so.60 \
  libavutil.so.58 \
  libswresample.so.4 \
  libswscale.so.7

linker_libs += $(patsubst %,:"%",$(ffmpeg_libs))

linker_dirs += \
 $(ffmpeg_dir)/bin

src_files = \
    $(public_common_dir)/AMFFactory.cpp \
    $(public_common_dir)/AMFSTL.cpp \
    $(public_common_dir)/DataStreamFactory.cpp \
    $(public_common_dir)/DataStreamFile.cpp \
    $(public_common_dir)/DataStreamMemory.cpp \
    $(public_common_dir)/Thread.cpp \
    $(public_common_dir)/TraceAdapter.cpp \
    $(public_common_dir)/IOCapsImpl.cpp \
    $(public_common_dir)/PropertyStorageExImpl.cpp \
    $(public_common_dir)/Linux/ThreadLinux.cpp \
    public/src/components/ComponentsFFMPEG/AudioConverterFFMPEGImpl.cpp \
    public/src/components/ComponentsFFMPEG/AudioDecoderFFMPEGImpl.cpp \
    public/src/components/ComponentsFFMPEG/AudioEncoderFFMPEGImpl.cpp \
    public/src/components/ComponentsFFMPEG/VideoDecoderFFMPEGImpl.cpp \
	public/src/components/ComponentsFFMPEG/BaseEncoderFFMPEGImpl.cpp \
    public/src/components/ComponentsFFMPEG/H264EncoderFFMPEGImpl.cpp \
    public/src/components/ComponentsFFMPEG/HEVCEncoderFFMPEGImpl.cpp \
    public/src/components/ComponentsFFMPEG/AV1EncoderFFMPEGImpl.cpp \
    public/src/components/ComponentsFFMPEG/ComponentFactory.cpp \
    public/src/components/ComponentsFFMPEG/FileDemuxerFFMPEGImpl.cpp \
    public/src/components/ComponentsFFMPEG/FileMuxerFFMPEGImpl.cpp \
    public/src/components/ComponentsFFMPEG/H264Mp4ToAnnexB.cpp \
    public/src/components/ComponentsFFMPEG/UtilsFFMPEG.cpp

#execute rules

include $(amf_root)/public/make/common_rules.mak

# copy FFmpeg SO libs

define copy_rule_fn
all: $$(bin_dir)/$1

$$(bin_dir)/$1: $$(ffmpeg_dir)/bin/$1
	$$(COPY) -f $$< $$@
endef

$(foreach copy_file,$(ffmpeg_libs),\
    $(eval $(call copy_rule_fn,$(copy_file)))\
)

clean: 
	$(foreach clean_file,$(ffmpeg_libs),\
		$(RM) $(bin_dir)/$(clean_file)\
	)

=== PKGBUILD ===
# Maintainer: ImperatorS79 <fevrier.simon@gmail.com>

_realname=amf-headers
pkgbase=mingw-w64-${_realname}
pkgname="${MINGW_PACKAGE_PREFIX}-${_realname}"
pkgver=1.4.34
pkgrel=1
pkgdesc='Header files for AMD Advanced Media Framework'
arch=('any')
mingw_arch=('mingw32' 'mingw64' 'ucrt64' 'clang64' 'clangarm64' 'clang32')
url='https://github.com/GPUOpen-LibrariesAndSDKs/AMF/'
license=('spdx:MIT')
source=("${_realname}-${pkgver}.tar.gz::https://github.com/GPUOpen-LibrariesAndSDKs/AMF/archive/v${pkgver}.tar.gz")
sha256sums=('a8f8363ee9b89c7fb93fa8cca521f602d5fd2c083382fc14f05c37d952905cc6')

prepare() {
  cd "AMF-${pkgver}"
}

package() {
    mkdir -p "${pkgdir}${MINGW_PREFIX}"/include/AMF/
    cp -r "${srcdir}/AMF-${pkgver}"/amf/public/include/core/ "${pkgdir}${MINGW_PREFIX}"/include/AMF/
    cp -r "${srcdir}/AMF-${pkgver}"/amf/public/include/components/ "${pkgdir}${MINGW_PREFIX}"/include/AMF/

    install -D -m644 "${srcdir}/AMF-${pkgver}"/LICENSE.txt "${pkgdir}${MINGW_PREFIX}"/share/licenses/${_realname}/LICENSE
}
